package com.fdkankan.scene.vo;

import com.alibaba.fastjson.annotation.JSONField;
import java.util.List;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * <p>
 * TODO
 * </p>
 *
 * @author dengsixing
 * @since 2022/3/11
 **/
//@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Getter
@Setter
public class SceneAuthVO {

    /**
     * 是否过期
     */
    private boolean isExpired;

    /**
     * 是否会员
     */
    private boolean isVip;

    private Integer company;

    private Object exclude;

    private Object include;

    public void setIsExpired(boolean isExpired){
        this.isExpired = isExpired;
    }
    public boolean getIsExpired(){
        return isExpired;
    }

    public void setIsVip(boolean isVip){
        this.isVip = isVip;
    }
    public boolean getIsVip(){
        return isVip;
    }


}
